<?php

namespace App\Enums;

use App\Enums\Concerns\HasValues;

enum RawMaterialUnit: string
{
    use HasValues;

    case KG = 'kg';
    case METER = 'meter';
    case YARD = 'yard';

    public function label(): string
    {
        return match ($this) {
            self::KG => 'Kg',
            self::METER => 'Meter',
            self::YARD => 'Yard',
        };
    }
}
